Subject: Re: 29.0.60; Tree-sitter user-level control

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jan 2023 05:26:59 +0200

> Date: Mon, 23 Jan 2023 22:08:27 +0100
> From: Theodor Thornhill <[email-masked]>
> CC: [email-masked]
> 
> 
> 
> On 23 January 2023 20:59:14 CET, Eli Zaretskii <[email-masked]> wrote:
> >> From: Yuan Fu <[email-masked]>
> >> Date: Mon, 23 Jan 2023 11:37:24 -0800
> >> Cc: Eli Zaretskii <[email-masked]>,
> >>  Bug Report Emacs <[email-masked]>
> >> 
> >> Sorry for the delay, overall I agree with your changes.
> >
> >Thanks.  What about the questions I asked regarding indentation
> >features, and specifically about c-ts-mode-indent-style?
> 
> I am working on that, but I hit some issues where I cannot make treesit recognize the new settings before the whole treesit-major-mode-setup reruns. Just setting the symbol doesn't work, and reenabling the mode inside of the :set function isn't the best idea maybe?
> 
> I'd love some pointers to how other modes do similar stuff, but I didn't really find anything.

Thanks, but can you add some details of what you are trying to do and
what are the difficulties?

Adding Stefan in case he has some advice.